Bug 16469 - Remove the use of "onclick" from some catalog pages
Summary: Remove the use of "onclick" from some catalog pages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16781
  Show dependency treegraph
 
Reported: 2016-05-06 16:42 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16469 - Remove the use of "onclick" from some catalog pages (4.27 KB, patch)
2016-05-06 16:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16469 - Remove the use of "onclick" from some catalog pages (4.32 KB, patch)
2016-06-03 09:28 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 16469 - Remove the use of "onclick" from some catalog pages (4.33 KB, patch)
2016-06-21 12:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-06 16:42:03 UTC
Two catalog-related templates contain the use of "onclick" and should be modified to remove it: catalogue/results.tt and catalogue/imageviewer.tt.
Comment 1 Owen Leonard 2016-05-06 16:47:29 UTC Comment hidden (obsolete)
Comment 2 Nikos Chatzakis 2016-06-03 09:17:54 UTC
Select and Clear buttons seems to work at staff interface but not at the OPAC. Tested both at master and with this patch applied, so we will sign off
Comment 3 PTFS Europe Sandboxes 2016-06-03 09:28:15 UTC
Patch tested with a sandbox, by Nikos Chatzakis, Afrodite Malliari <nchatzakis@datascouting.com>
Comment 4 PTFS Europe Sandboxes 2016-06-03 09:28:35 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-06-21 12:39:55 UTC
Created attachment 52643 [details] [review]
Bug 16469 - Remove the use of "onclick" from some catalog pages

This patch removes the use of "onclick" attributes from two
catalog-related templates: The local cover image viewer and the search
results page. Events are now defined in JavaScript.

To test:

On the search results page:

- Perform a catalog search which will return multiple results.
- On the search results page, confirm that the "Select all" and "Clear
  all" links at the top of the results table work correctly.

In the local cover image viewer:

- The LocalCoverImages and AllowMultipleCovers system preferences must
  enabled, and at least one catalog record must have at least two local
  cover images attached.
- Locate that record in the catalog and view the detail page for it.
- Click the cover image in the "Images" tab to go to the image viewer
  page.
- Clicking each local cover image thumnail should correctly display the
  larger version of each image.

Signed-off-by: Nikos Chatzakis, Afrodite Malliari <nchatzakis@datascouting.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2016-06-24 13:39:15 UTC
Pushed to master for Koha 16.11, thanks Owen!
Comment 7 Frédéric Demians 2016-08-01 11:54:49 UTC
Pushed in 16.05. Will be in 16.05.02.